package ProjectElectricLocomotive;

import java.io.Serializable;

public class LocoStorageOverflowException extends RuntimeException implements Serializable {
    public LocoStorageOverflowException(Throwable ex){
        super(ex);
    }
    public LocoStorageOverflowException(int count){
        super("В наборе превышено допустимое количество локомотивов:" + count);
    }
    public LocoStorageOverflowException(String message){
        super(message);
    }
    public LocoStorageOverflowException(String message, Throwable ex){
        super(message, ex);
    }

}
